<template>
  <div>
    <div class="data-markup__block">
      <div class="data-markup__title">
        Перечень клиентов
      </div>
      <div class="data-markup__table">
        <ob-table
            ref="obTable"
            :columns="columns"
            :remote-opt="getMarkupClients"
            :functional-panel="true"
            data-qa="markupTable"
        >
          <div slot="client" slot-scope="{data}">
            {{data.item.name}}
          </div>
          <template v-slot:markup="{ data }">
            <ObInput
                size="sm"
                v-model="data.item.markup"
                @blur="saveMarkup(data.item)"
            />
          </template>
        </ob-table>
      </div>
    </div>
  </div>
</template>

<script>
  import ObTable from "common-components/src/obComponents/obTable";
  import ObInput from "common-components/src/obComponents/obInput";
  import {mapGetters} from "vuex";
  import api from "@/api";
  export default {
    name: "AllAreas",
    components: {
      ObTable,
      ObInput
    },
    data() {
      return {

      }
    },
    computed: {
      ...mapGetters({
        userUuid: 'user/participantUuid'
      }),
      columns() {
        return [
          {
            title: 'Клиент',
            key: 'client',
            slotName: 'client'
          },
          {
            title: 'Наценка, %',
            key: 'markup',
            slotName: 'markup'
          }
        ]
      }
    },
    methods: {
      async saveMarkup(item){
        let formData ={
          "markup": item.markup
        }
        await api.clicar_setting_2.saveClientMarkup(this.userUuid, item.uuid, formData).then(() => {

        })
      },
      async getMarkupClients(params) {
        return await api.clicar_setting_2.getMarkupClients(params, this.userUuid)}
    }
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
.data-markup {
  &__block{
    margin-top: 32px;
  }
  &__title{
    margin-bottom: 15px;
    @include font-mixin(16px, 20px, 700, $topMenuTextHover, .4px);
  }
  &__table{
    width: 625px;
  }
}
::v-deep table.table-data{
  min-width: 100%;
  td{
    &:nth-child(2){
      width: 120px;
    }
  }
}
::v-deep .ob-input-wrap{
  height: 30px;
  .input{
    text-align: right;
  }
}
</style>